| FoxitPDFSDKforWeb v11.0.4 Archives Foxit PDF SDK for Web

Public Attributes | List of all members
ZoomXYZDestinationData Class Reference
PDF » actions

Destination data for zooming to a specific position with a defined zoom factor. The 'left' and 'top' parameters specify the distance from the origin of the page to the top-left corner of the window. The 'zoomFactor' parameter specifies the magnification level, where 1.0 represents 100% magnification. If any of the 'left', 'top', or 'zoomFactor' parameters are null, the current value of that parameter is retained. For example, specifying a view destination of `/View [/XYZ NULL NULL NULL]` will navigate to the specified page while maintaining the current horizontal position, vertical position, and zoom level. A 'zoomFactor' of 0 is equivalent to null. ZoomXYZDestinationData. More...

## Public Attributes
number | left
| The left position of the rectangle to zoom into. number.
number | pageIndex
| The index of the page to which the zoom should be applied. number.
number | top
| The top position of the rectangle to zoom into. number.
number | zoomFactor
| The zoom factor to apply. number.
ZoomMode | zoomMode
| Specifies the zoom mode to fit a specific rectangular area with a zoom factor always set to ZoomMode.ZoomXYZ.

## Detailed Description

Destination data for zooming to a specific position with a defined zoom factor. The 'left' and 'top' parameters specify the distance from the origin of the page to the top-left corner of the window. The 'zoomFactor' parameter specifies the magnification level, where 1.0 represents 100% magnification. If any of the 'left', 'top', or 'zoomFactor' parameters are null, the current value of that parameter is retained. For example, specifying a view destination of `/View [/XYZ NULL NULL NULL]` will navigate to the specified page while maintaining the current horizontal position, vertical position, and zoom level. A 'zoomFactor' of 0 is equivalent to null. ZoomXYZDestinationData.

Since
  11.0.0

@2025 Foxit Software Incorporated. All rights reserved.